function u = func_fibon(N)
%
% La funzione u = func_fibon(N) calcola la successione
% di Fibonacci u(k) = u(k-1) + u(k-2) date le condizioni
% iniziali u(1) = u(2) = 1, per un numero di termini N
% con N >= 3. Viene restituito il vettore u che contiene
% gli N termini della successione.
%
% Versione del 16/3/2021 da Silvio Simani
%

if(N < 3),
    error('N deve essere almeno 3');
end;

u = zeros(1,N); % vettore che contiene i termini
                % della successione
                
u(1) = 1;       % definisco le condizioni iniziali
u(2) = 1;

for k = 3:N,
    u(k) = u(k-1) + u(k-2);
end;

return