%%%
%%% Esempio di risoluzione della successione
%%% di Fibonacci (equazione alle differenze)
%%%
%%% u(k) = u(k-1) + u(k-2) per k >= 2
%%% 
%%% con condizioni iniziali
%%%
%%% u(1) = u(2) = 1
%%%

N = 4; % termini della successione

if(N < 3),
    error('N deve essere almeno 3');
end;

u = zeros(1,N); % vettore che contiene i termini
                % della successione
                
u(1) = 1;       % definisco le condizioni iniziali
u(2) = 1;

for k = 3:N,
    u(k) = u(k-1) + u(k-2);
end;

u

